Subject: Re: mintty: Doesn't know about CTRL key
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2010 19:15:00 +0100
List-Id: <cygwin.cygwin.com>

> Corinna Vinschen:
>> I'm more and more using mintty for everything (shell, admin shell,
>> heating my food, you name it).
>
> Food as well? It was only meant to make mint tea. Thanks for the endorsement. :)
>
>
>> Consider you have more than one mintty window open.  A typical use case
>> for me is to have one shell open under UAC and the other one with admin
>> rights to test to test something.  Then I want to close both ttys and
>> test again with another Cygwin DLL.
>>
>> So I press Ctrl-D twice, without lifting my thumb from the Ctrl key.
>>
>> The first mintty window closes just fine.  The second mintty window does
>> not close.  Instead, it behaves as if I had pressed the 'd' key alone.
>> So I have to BS and then press Ctrl-D again to exit the second shell.
>>
>> Apparently the second mintty window doesn't recognize the fact that the
>> Ctrl key is still pressed.  This does not happen with two console
>> windows, neither in tty, nor in notty mode.
>
> Phew, not quite as bad as the title suggested.
>
> This will be due to the hack for telling AltGrrrr from Ctrl+AltGr
> (which is needed because Windows sends AltGr keypresses as
> simultaneous Ctrl and Alt key events). Hopefully I'll find a way to
> fix this without breaking something else again.

ps: One workaround is to use Alt-F4 instead of Ctrl-D.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple